WarpBuild LogoWarpBuild Docs
Reports

GET /reports/billing/cache

Returns billing data for cache operations including chart data, summary, paginated entry list, and available filters.

GET
/reports/billing/cache

Authorization

JWTKeyAuth
Authorization<token>

In: header

Query Parameters

start_date*string

Start date (RFC3339)

end_date*string

End date (RFC3339)

sort_by?string

Sort column (default: timestamp)

sort_order?string

Sort direction: asc or desc (default: desc)

types?array<string>

Filter by cache types

page?integer

Page number (default: 1)

per_page?integer

Items per page (default: 50, max: 200)

format?string

Response format: json or csv (default: json)

Response Body

application/json

application/json

application/json

curl -X GET "https://api.warpbuild.com/api/v1/reports/billing/cache?start_date=string&end_date=string"
{
  "available_filters": {
    "types": [
      "string"
    ]
  },
  "chart": {
    "bucket_interval_seconds": 0,
    "daily": [
      {
        "date": "string",
        "segments": [
          {
            "cost": 0,
            "job_count": 0,
            "key": "string"
          }
        ],
        "total_cost": 0
      }
    ],
    "group_by": "string"
  },
  "entries": {
    "items": [
      {
        "cost": 0,
        "timestamp": "string",
        "type": "string"
      }
    ],
    "next": 0,
    "page": 0,
    "per_page": 0,
    "total_pages": 0,
    "total_rows": 0
  },
  "organization_id": "string",
  "summary": {
    "operations_cost": 0,
    "storage_cost": 0,
    "total_cost": 0,
    "total_entries": 0
  }
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}